Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
mirixOffline
Post subject: NVIDIA 260.19.44 don't build in 2.6.38-0.slh.1-aptosid-amd64  PostPosted: 15.03.2011, 12:03



Joined: 2010-10-25
Posts: 28

Status: Offline
I was able to build NVIDIA driver 260.19.44 against 2.6.37-3.slh.3-aptosid-amd64 but not against 2.6.38-0.slh.1-aptosid-amd64.

/var/log/nvidia-installer.log says:

-> Building kernel module:
executing: 'cd ./kernel; make module SYSSRC=/lib/modules/2.6.38-0.slh.1-apto
sid-amd64/build SYSOUT=/lib/modules/2.6.38-0.slh.1-aptosid-amd64/build'...
NVIDIA: calling KBUILD...
test -e include/generated/autoconf.h -a -e include/config/auto.conf || ( \
echo; \
echo " ERROR: Kernel configuration is invalid."; \
echo " include/generated/autoconf.h or include/config/auto.conf are
missing.";\
echo " Run 'make oldconfig && make prepare' on kernel src to fix it
."; \
echo; \
/bin/false)

However, I have checked all the relevant files and symbolic links and everything seems to be fine and to be similar to the 2.6.37 situation. The reason why I am asking this in the Aptosid forum is because I was able to build this driver against a 2.6.38-rc4 vanilla kernel but not against the Aptosid kernel (I just d-u).

Any thoughts?
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: NVIDIA 260.19.44 don  PostPosted: 15.03.2011, 12:05



Joined: 2010-09-13
Posts: 497
Location: Pößneck / Thüringen
Status: Offline
http://aptosid.com/index.php?name=PNphp ... highlight=
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio